12 de agosto de 2007

Instalar Zattoo para ver la tele en Debian Etch

Con este programa podremos ver en España por lo menos, las cadenas de televisión siguientes:
- TVE 1
- TVE 2
- Canal 24H TVE
- Teledeporte
- Antena 3
- Cuatro
- Telecinco
- La Sexta
- Deutsche Welle
- France 24 English
- SF Info
- TV Polonia

Los requisitos mínimos del sistema para Linux son:
  • Intel P3 1.5 GHz
  • 512 MB RAM
  • Conexión a Internet de banda ancha
  • Flash Player

1. Para descargarnos el programa, debemos registrarnos en su web mediante el siguiente enlace:
https://zattoo.com/register


2. Ahora ya podemos proceder a su descarga. Picamos en "Descargar el reproductor de Linux", "Versión para Debian Etch y Ubuntu 6.10 (Edgy)" y hacemos click en "Download Linux Player (.deb)".

Una vez terminada la descarga, tendremos en nuestro escritorio el archivo "zattoo-2.2.10.6523-i386.deb"


3. Vamos a instalarlo. Abrimos una terminal y nos logueamos como usuario root, actualizamos el sistema e instalamos las dependencias

$ su -
password:

- Actualizamos el sistema:
# aptitude update && aptitude upgrade

- Instalamos dependencias:
# aptitude install libgtkglext1 libgnome-keyring0 libgnomeui-0 gconf2 libxul0d
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias... Hecho
Leyendo la información de estado extendido Inicializando el estado de los paquetes... Hecho
Leyendo las descripciones de las tareas... Hecho Construir la base de datos de etiquetas... Hecho
Se instalarán automáticamente los siguientes paquetes NUEVOS:
gconf2-common gnome-keyring gnome-mime-data libavahi-glib1 libbonobo2-0 libbonobo2-common libbonoboui2-0 libbonoboui2-common libgconf2-4 libglade2-0 libgnome2-0 libgnome2-common libgnomecanvas2-0 libgnomecanvas2-common libgnomeui-common libgnomevfs2-0 libgnomevfs2-common libgnomevfs2-extra libidl0 libmozjs0d liborbit2 libxul-common shared-mime-info
Se instalarán los siguiente paquetes NUEVOS:
gconf2 gconf2-common gnome-keyring gnome-mime-data libavahi-glib1 libbonobo2-0 libbonobo2-common libbonoboui2-0 libbonoboui2-common libgconf2-4 libglade2-0 libgnome-keyring0 libgnome2-0 libgnome2-common libgnomecanvas2-0 libgnomecanvas2-common libgnomeui-0 libgnomeui-common libgnomevfs2-0 libgnomevfs2-common libgnomevfs2-extra libgtkglext1 libidl0 libmozjs0d liborbit2 libxul-common libxul0d shared-mime-info
0 paquetes actualizados, 28 nuevos instalados, 0 para eliminar y 0 sin actualizar.
Necesito descargar 16,1MB de ficheros. Después de desempaquetar se usarán 60,6MB. ¿Quiere continuar? [Y/n/?] y
Escribiendo información de estado extendido... Hecho
Des:1 http://ftp.fr.debian.org etch/main libidl0 0.8.6-1 [87,8kB]
Des:2 http://security.debian.org etch/updates/main libmozjs0d 1.8.0.13~pre070720-0etch3 [334kB]
Des:3 http://ftp.fr.debian.org etch/main liborbit2 1:2.14.3-0.1 [237kB]
Des:4 http://security.debian.org etch/updates/main libxul-common 1.8.0.13~pre070720-0etch3 [1048kB]
Des:5 http://security.debian.org etch/updates/main libxul0d 1.8.0.13~pre070720-0etch3 [5359kB]
Des:6 http://ftp.fr.debian.org etch/main gconf2-common 2.16.1-1 [1432kB]
Des:7 http://ftp.fr.debian.org etch/main libgconf2-4 2.16.1-1 [236kB]
Des:8 http://ftp.fr.debian.org etch/main gconf2 2.16.1-1 [134kB]

Des:9 http://ftp.fr.debian.org etch/main gnome-keyring 0.6.0-3 [139kB]
Des:10 http://ftp.fr.debian.org etch/main gnome-mime-data 2.4.3-1 [725kB]
Des:11 http://ftp.fr.debian.org etch/main libavahi-glib1 0.6.16-3etch1 [24,5kB]
Des:12 http://ftp.fr.debian.org etch/main libbonobo2-common 2.14.0-3 [736kB]

Des:13 http://ftp.fr.debian.org etch/main libbonobo2-0 2.14.0-3 [144kB]
Des:14 http://ftp.fr.debian.org etch/main libglade2-0 1:2.6.0-4 [86,2kB]
Des:15 http://ftp.fr.debian.org etch/main shared-mime-info 0.19-2 [503kB]
Des:16 http://ftp.fr.debian.org etch/main libgnomevfs2-common 1:2.14.2-7 [1066kB]
Des:17 http://ftp.fr.debian.org etch/main libgnomevfs2-0 1:2.14.2-7 [611kB]
Des:18 http://ftp.fr.debian.org etch/main libgnome2-common 2.16.0-2 [810kB]

Des:19 http://ftp.fr.debian.org etch/main libgnome2-0 2.16.0-2 [109kB]
Des:20 http://ftp.fr.debian.org etch/main libgnomecanvas2-common 2.14.0-2 [132kB]
Des:21 http://ftp.fr.debian.org etch/main libgnomecanvas2-0 2.14.0-2 [106kB]
Des:22 http://ftp.fr.debian.org etch/main libbonoboui2-common 2.14.0-5 [335kB]
Des:23 http://ftp.fr.debian.org etch/main libbonoboui2-0 2.14.0-5 [215kB]
Des:24 http://ftp.fr.debian.org etch/main libgnome-keyring0 0.6.0-3 [30,8kB]
Des:25 http://ftp.fr.debian.org etch/main libgnomeui-common 2.14.1-2 [720kB]
Des:26 http://ftp.fr.debian.org etch/main libgnomeui-0 2.14.1-2 [369kB]
Des:27 http://ftp.fr.debian.org etch/main libgnomevfs2-extra 1:2.14.2-7 [294kB]
Des:28 http://ftp.fr.debian.org etch/main libgtkglext1 1.0.6-2.1+b1 [108kB]
Descargados 16,1MB en 2m36s (103kB/s).

Seleccionando el paquete libidl0 previamente no seleccionado.
(Leyendo la base de datos ... 81980 ficheros y directorios instalados actualmente.)
Desempaquetando libidl0 (de .../libidl0_0.8.6-1_i386.deb) ...
Seleccionando el paquete liborbit2 previamente no seleccionado.
Desempaquetando liborbit2 (de .../liborbit2_1%3a2.14.3-0.1_i386.deb) ...
Seleccionando el paquete gconf2-common previamente no seleccionado.
Desempaquetando gconf2-common (de .../gconf2-common_2.16.1-1_all.deb) ...
Seleccionando el paquete libgconf2-4 previamente no seleccionado.
Desempaquetando libgconf2-4 (de .../libgconf2-4_2.16.1-1_i386.deb) ...
Seleccionando el paquete gconf2 previamente no seleccionado.
Desempaquetando gconf2 (de .../gconf2_2.16.1-1_i386.deb) ...
Seleccionando el paquete gnome-keyring previamente no seleccionado.
Desempaquetando gnome-keyring (de .../gnome-keyring_0.6.0-3_i386.deb) ...
Seleccionando el paquete gnome-mime-data previamente no seleccionado.
Desempaquetando gnome-mime-data (de .../gnome-mime-data_2.4.3-1_all.deb) ...
Seleccionando el paquete libavahi-glib1 previamente no seleccionado.
Desempaquetando libavahi-glib1 (de .../libavahi-glib1_0.6.16-3etch1_i386.deb) ...
Seleccionando el paquete libbonobo2-common previamente no seleccionado.
Desempaquetando libbonobo2-common (de .../libbonobo2-common_2.14.0-3_i386.deb) ...
Seleccionando el paquete libbonobo2-0 previamente no seleccionado.
Desempaquetando libbonobo2-0 (de .../libbonobo2-0_2.14.0-3_i386.deb) ...
Seleccionando el paquete libglade2-0 previamente no seleccionado.
Desempaquetando libglade2-0 (de .../libglade2-0_1%3a2.6.0-4_i386.deb) ...
Seleccionando el paquete shared-mime-info previamente no seleccionado.
Desempaquetando shared-mime-info (de .../shared-mime-info_0.19-2_i386.deb) ...
Seleccionando el paquete libgnomevfs2-common previamente no seleccionado.
Desempaquetando libgnomevfs2-common (de .../libgnomevfs2-common_1%3a2.14.2-7_all.deb) ...
Seleccionando el paquete libgnomevfs2-0 previamente no seleccionado.
Desempaquetando libgnomevfs2-0 (de .../libgnomevfs2-0_1%3a2.14.2-7_i386.deb) ...
Seleccionando el paquete libgnome2-common previamente no seleccionado.
Desempaquetando libgnome2-common (de .../libgnome2-common_2.16.0-2_all.deb) ...
Seleccionando el paquete libgnome2-0 previamente no seleccionado.
Desempaquetando libgnome2-0 (de .../libgnome2-0_2.16.0-2_i386.deb) ...
Seleccionando el paquete libgnomecanvas2-common previamente no seleccionado.
Desempaquetando libgnomecanvas2-common (de .../libgnomecanvas2-common_2.14.0-2_all.deb) ...
Seleccionando el paquete libgnomecanvas2-0 previamente no seleccionado.
Desempaquetando libgnomecanvas2-0 (de .../libgnomecanvas2-0_2.14.0-2_i386.deb) ...
Seleccionando el paquete libbonoboui2-common previamente no seleccionado.
Desempaquetando libbonoboui2-common (de .../libbonoboui2-common_2.14.0-5_all.deb) ...
Seleccionando el paquete libbonoboui2-0 previamente no seleccionado.
Desempaquetando libbonoboui2-0 (de .../libbonoboui2-0_2.14.0-5_i386.deb) ...
Seleccionando el paquete libgnome-keyring0 previamente no seleccionado.
Desempaquetando libgnome-keyring0 (de .../libgnome-keyring0_0.6.0-3_i386.deb) ...
Seleccionando el paquete libgnomeui-common previamente no seleccionado.
Desempaquetando libgnomeui-common (de .../libgnomeui-common_2.14.1-2_all.deb) ...
Seleccionando el paquete libgnomeui-0 previamente no seleccionado.
Desempaquetando libgnomeui-0 (de .../libgnomeui-0_2.14.1-2_i386.deb) ...
Seleccionando el paquete libgnomevfs2-extra previamente no seleccionado.
Desempaquetando libgnomevfs2-extra (de .../libgnomevfs2-extra_1%3a2.14.2-7_i386.deb) ...
Seleccionando el paquete libgtkglext1 previamente no seleccionado.
Desempaquetando libgtkglext1 (de .../libgtkglext1_1.0.6-2.1+b1_i386.deb) ...
Seleccionando el paquete libmozjs0d previamente no seleccionado.
Desempaquetando libmozjs0d (de .../libmozjs0d_1.8.0.13~pre070720-0etch3_i386.deb) ...
Seleccionando el paquete libxul-common previamente no seleccionado.
Desempaquetando libxul-common (de .../libxul-common_1.8.0.13~pre070720-0etch3_all.deb) ...
Seleccionando el paquete libxul0d previamente no seleccionado.
Desempaquetando libxul0d (de .../libxul0d_1.8.0.13~pre070720-0etch3_i386.deb) ...
Configurando libidl0 (0.8.6-1) ...

Configurando liborbit2 (2.14.3-0.1) ...


Configurando gconf2-common (2.16.1-1) ...


Creating config file /etc/gconf/2/path with new version


Configurando libgconf2-4 (2.16.1-1) ...


Configurando gconf2 (2.16.1-1) ...


Configurando gnome-keyring (0.6.0-3) ...

Configurando gnome-mime-data (2.4.3-1) ...
Configurando libavahi-glib1 (0.6.16-3etch1) ...

Configurando libglade2-0 (2.6.0-4) ...

Configurando shared-mime-info (0.19-2) ...

Configurando libgnomevfs2-common (2.14.2-7) ...

Configurando libgnome2-common (2.16.0-2) ...

Configurando libgnomecanvas2-common (2.14.0-2) ...
Configurando libgnomecanvas2-0 (2.14.0-2) ...

Configurando libbonoboui2-common (2.14.0-5) ...

Configurando libgnome-keyring0 (0.6.0-3) ...

Configurando libgnomeui-common (2.14.1-2) ...

Configurando libgtkglext1 (1.0.6-2.1+b1) ...

Configurando libmozjs0d (1.8.0.13~pre070720-0etch3) ...

Configurando libxul-common (1.8.0.13~pre070720-0etch3) ...
Configurando libxul0d (1.8.0.13~pre070720-0etch3) ...

Configurando libbonobo2-common (2.14.0-3) ...
Configurando libbonobo2-0 (2.14.0-3) ...

Configurando libgnomevfs2-0 (2.14.2-7) ...

Configurando libgnome2-0 (2.16.0-2) ...

Configurando libbonoboui2-0 (2.14.0-5) ...

Configurando libgnomeui-0 (2.14.1-2) ...

Configurando libgnomevfs2-extra (2.14.2-7) ...


- Instalamos Zattoo:
# dpkg -i ~nombre_tu_usuario/Desktop/zattoo-2.2.10.6523-i386.deb
Seleccionando el paquete zattoo previamente no seleccionado.
(Leyendo la base de datos ... 84258 ficheros y directorios instalados actualmente.)
Desempaquetando zattoo (de .../zattoo-2.2.10.6523-i386.deb) ...
Configurando zattoo (2.2.10.6523) ...

- Salimos de la terminal:
# exit
$ exit


4. Ejecutar Zattoo:
Nos vamos al Menú MULTIMEDIA / ZATTOO PLAYER

Para ver la tele, tenemos que loguearnos con la cuenta de correo y contraseña, con la que nos registramos en la web al descargarnos el programa. Como se puede ver, nos dice que no tenemos instalado Gnome Keyring, por lo que al picar recordar contraseña no funcionará. El paquete está instalado pero desconozco por qué no funciona.


Y a ver la tele:



ACTUALIZACIÓN 22.08.07:

Hoy he intentado abrir el programa y no me ha dejado debido a que me decía que tenía que actualizarme a una nueva versión.


Para solucionar éste imprevisto, accedí a la página de zattoo, me registré con mi usuario y descargué la nueva versión (zattoo-3.0.4.8139-i386.deb) para instalarla.

- Abri Konsole y me logueé como root:
$ su -
password:

- Desinstalé zattoo:
# dpkg -r zattoo
(Leyendo la base de datos ...
93546 ficheros y directorios instalados actualmente.)
Desinstalando zattoo ...
dpkg - atención: al desinstalar zattoo, el directorio /usr/lib/zattoo'
no está vacío, no se borra.

- Instalé la nueva versión:
# dpkg -i ~nombre_tu_usuario/Desktop/zattoo-3.0.4.8139-i386.deb
Seleccionando el paquete zattoo previamente no seleccionado.
(Leyendo la base de datos ...
93162 ficheros y directorios instalados actualmente.)
Desempaquetando zattoo (de .../zattoo-3.0.4.8139-i386.deb) ...
Configurando zattoo (3.0.4.8139) ...

NOTA:
Al parecer el servicio está temporalmente interrumpido. No funcionan todas las cadenas.

El motivo puede estar en éstas noticias:
http://ciberderechos.barrapunto.com/article.pl?sid=07/08/06/1644215&from=rss
http://www.elpais.com/articulo/internet/televisiones/amenazan/demandar/Zattoo/elpeputec/20070806elpepunet_3/Tes


Saludos y Suerte.
Domi - Gran Canaria (Islas Canarias)

8 comentarios:

Khertz dijo...

Buenas, la razón por la que no es capaz de recordar la contraseña con el gnome-keyring-daemon es sencillamente porque no se está ejecutando el demonio en cuestión. Yo uso KDE así que desconozco si en Gnome este demonio se activa automáticamente, en cualquier caso, en KDE siempre puedes configurar que se active automáticamente en tu cuenta haciendo:

$ ln -s /usr/bin/gnome-keyring-daemon $HOME/.kde/Autostart

Un saludo,

Romario dijo...

Hola Khertz.
Muchas gracias por la info. Cuando vuelva a funcionar el servicio, lo probaré.

Saludos.

freecom4ever dijo...

Puedo hacer lo mismo para instalar en un amd64 cierto?

Romario dijo...

Hola freecom4ever
En principio creo que te debería funcionar. Prueba y comenta.

Saludos.

Anónimo dijo...

Me sale esto


Could not determine OpenGL renderer. This may lead to poor video performance. Please make sure OpenGL/Mesa is installed and properly configured.

Romario dijo...

Hola.
1. ¿tienes la aceleración 3d activada?
Me parece que va ha requerir su activación. No estoy seguro, pero por el error, me da esa impresión.

2. Prueba a instalar el siguiente paquete a ver si desaparece el error. Si no funciona, creo que va ha ser lo que te comento en el punto anterior. Comenta por favor si te funciona.

# aptitude install mesa-utils

Saludos.
Domi.

Lopote dijo...

Muchas gracias por la info instalado en ubuntu feisty y funcionando perfectamente

Saludetes

Romario dijo...

De nada Lopete. Me alegro que te funcione.

Saludos.